Bug 198934 - CVE-2006-2777 Seamonkey Privilege escalation using addSelectionListener
CVE-2006-2777 Seamonkey Privilege escalation using addSelectionListener
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: seamonkey (Show other bugs)
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-07-14 15:53 EDT by Josh Bressers
Modified: 2008-03-19 17:33 EDT (History)
0 users

See Also:
Fixed In Version: seamonkey-1.0.9-9.el4.s390x
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-19 17:33:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 336830 None None None Never

  None (edit)
Description Josh Bressers 2006-07-14 15:53:57 EDT

The upstream advisory describes a way to execute javascript at a privileged level.

This bug exists because while this fix exists upstream and should be fixed via
Firefox and Seamonkey 1.0.2, it is not on s390x.

This bug is the placeholder so we can figure out what's wrong.
Comment 1 Martin Stransky 2006-12-08 08:24:34 EST
Hm, still looks like a problem on s390x, but there're the latest packages there:

.qa.[root@s390x-4as ~]# rpm -q firefox
.qa.[root@s390x-4as ~]# rpm -q seamonkey

Comment 2 Josh Bressers 2007-08-21 15:02:19 EDT
This still isn't fixed

# rpm -q seamonkey
Comment 3 Josh Bressers 2007-08-21 15:03:27 EDT

Can we get someone to look at this?  I fear it's the result of something bigger
we're not understanding.
Comment 4 Matěj Cepl 2008-02-08 15:42:16 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 5 Matěj Cepl 2008-03-19 16:23:38 EDT
Cannot reproduce with this seamonkey-1.0.9-9.el4.i386. Unfortuantely, I have no
access to s390 computer.
Comment 6 Matěj Cepl 2008-03-19 17:19:17 EDT
OK, tried with s390x and I wasn't able to reproduce it either. The version was

Note You need to log in before you can comment on or make changes to this bug.